ENT.Type = "anim"
ENT.Base = "base_anim"
ENT.AutomaticFrameAdvance = true
ENT.RenderGroup = RENDERGROUP_BOTH
ENT.Spawnable = true
ENT.PrintName = "Filter"
ENT.Category = "Meth-Herstellung"
ENT.Model = Model("models/zerochain/zmlab/zmlab_filter.mdl")

function ENT:SetupDataTables()
	self:NetworkVar("Entity", 0, "owning_ent")
	self:NetworkVar("Int", 0, "price")

	self:NetworkVar("Entity", 1, "CombinerEnt")
	self:NetworkVar("Float", 0, "FilterHealth")

	if SERVER then
		self:SetCombinerEnt(NULL)
		self:SetFilterHealth(0)
	end
end

function ENT:PhysgunPickup(ply)
	return ply:IsAdmin()
end

function ENT:CanTool(ply, trace, mode)
	return mode == "remover" and ply:IsAdmin()
end